Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.rules
Class DecisionTable.hashKey

    java.lang.Object
      weka.classifiers.rules.DecisionTable.hashKey

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  DecisionTable

    public static class DecisionTable.hashKey

extends java.lang.Object
implements java.io.Serializable

Class providing keys to the hash table

See Also:
  Serialized Form

Constructor Summary
`DecisionTable.hashKey(double[] t)` Constructor for a hashKey
`DecisionTable.hashKey(Instance t, int numAtts, boolean ignoreClass)` Constructor for a hashKey

Method Summary
`boolean` | `equals(java.lang.Object b)` Tests if two instances are equal
`int` | `hashCode()` Calculates a hash code
`void` | `print_hash_code()` Prints the hash code
`java.lang.String` | `toString(Instances t, int maxColWidth)` Convert a hash entry to a string

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecisionTable.hashKey

    public DecisionTable.hashKey(Instance t,
                                 int numAtts,
                                 boolean ignoreClass)
                          throws java.lang.Exception

  Constructor for a hashKey

  Parameters:
    `t` - an instance from which to generate a key
    `numAtts` - the number of attributes
    `ignoreClass` - if true treat the class as a normal attribute
  Throws:
    `java.lang.Exception`

### DecisionTable.hashKey

    public DecisionTable.hashKey(double[] t)

  Constructor for a hashKey

  Parameters:
    `t` - an array of feature values

Method Detail

### toString

    public java.lang.String toString(Instances t,
                                     int maxColWidth)

  Convert a hash entry to a string

  Parameters:
    `t` - the set of instances
    `maxColWidth` - width to make the fields

### hashCode

    public int hashCode()

  Calculates a hash code

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hash code as an integer

### equals

    public boolean equals(java.lang.Object b)

  Tests if two instances are equal

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `b` - a key to compare with

### print_hash_code

    public void print_hash_code()

  Prints the hash code

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD